import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { SageMakerMetricsClientResolvedConfig } from "../SageMakerMetricsClient";
export interface SageMakerMetricsHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface SageMakerMetricsHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    SageMakerMetricsClientResolvedConfig,
    HandlerExecutionContext,
    SageMakerMetricsHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultSageMakerMetricsHttpAuthSchemeParametersProvider: (
  config: SageMakerMetricsClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<SageMakerMetricsHttpAuthSchemeParameters>;
export interface SageMakerMetricsHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<SageMakerMetricsHttpAuthSchemeParameters> {}
export declare const defaultSageMakerMetricsHttpAuthSchemeProvider: SageMakerMetricsHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: SageMakerMetricsHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: SageMakerMetricsHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
