export interface RawMetricData {
  MetricName: string | undefined;
  Timestamp: Date | undefined;
  Step?: number;
  Value: number | undefined;
}
export interface BatchPutMetricsRequest {
  TrialComponentName: string | undefined;
  MetricData: RawMetricData[] | undefined;
}
export declare const PutMetricsErrorCode: {
  readonly CONFLICT_ERROR: "CONFLICT_ERROR";
  readonly INTERNAL_ERROR: "INTERNAL_ERROR";
  readonly METRIC_LIMIT_EXCEEDED: "METRIC_LIMIT_EXCEEDED";
  readonly VALIDATION_ERROR: "VALIDATION_ERROR";
};
export type PutMetricsErrorCode =
  (typeof PutMetricsErrorCode)[keyof typeof PutMetricsErrorCode];
export interface BatchPutMetricsError {
  Code?: PutMetricsErrorCode;
  MetricIndex?: number;
}
export interface BatchPutMetricsResponse {
  Errors?: BatchPutMetricsError[];
}
